Ask Your Question
0

loadbalancer.py hard-coded for Fedora17?

asked 2013-10-17 06:25:12 -0500

tomoyan777 gravatar image

Hello.

I'm trying to test Autoscaling with Openstack havana rc1, but I was bumped with following error , "StackValidationFailed: The Image (F17-x86_64-cfntools) could not be found." Since my template includes no such word I looked into sources, and I found that loadbalancer.py seems hard-coded for Fedora17.

My question is, Is autoscaling not yet implemeted for OpenStack heat? or Is there other method I missed?

Thank you for advance :)

edit retag flag offensive close merge delete

3 answers

Sort by ยป oldest newest most voted
0

answered 2013-10-18 00:52:23 -0500

tomoyan777 gravatar image

Thanks Steven Hardy, that solved my question.

edit flag offensive delete link more
0

answered 2013-10-17 09:21:59 -0500

shardy gravatar image

Unfortunately this is a known issue, we need to update the nested AWS::ElasticLoadBalancing::LoadBalancer resource template to use a newer version of Fedora, as F17 is EOL.

Your options are: - Download the F17 image which is currently required, and upload it to glance: http://fedorapeople.org/groups/heat/p...

I've linked the related bug

edit flag offensive delete link more
0

answered 2013-10-18 00:52:11 -0500

tomoyan777 gravatar image

Thank you for quick response, shardy :) I'll try the OS::Neutron::LoadBalancer instead.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2013-10-17 06:25:12 -0500

Seen: 62 times

Last updated: Oct 18 '13